File PackageKit.changes of Package PackageKit

-------------------------------------------------------------------
Wed Aug 22 02:57:11 UTC 2012 - glin@suse.com

- Add PackageKit-bnc775651-ignore-accept-eula.patch to fix crash
  after accepting EULA (bnc#775651)

-------------------------------------------------------------------
Wed Jul 18 20:00:46 UTC 2012 - dimstar@opensuse.org

- Add Patches from the openSUSE_Factory PK branch (in order to fix
  bnc#769764 and bnc#770028):
  + 0004-zypp-use-pre-increment-in-for-loops-to-avoid-tempora.patch
  + 0005-zypp-don-t-waste-time-comparing-zypp-Arch-string-rep.patch
  + 0006-zypp-set-CXXFLAGS-and-use-std-c-0x-as-libzypp-does-b.patch
  + 0007-zypp-fix-missing-dtor.patch
  + 0008-zypp-no-longer-use-the-old-and-deprecated-ZYppCommit.patch
  + 0009-zypp-adjust-PK_FILTER_ENUM_NOT_DEVELOPMENT-bnc-77002.patch

-------------------------------------------------------------------
Wed Jun 20 18:47:20 UTC 2012 - dimstar@opensuse.org

- Add PackageKit-zypp-packagesize.patch: libzypp changed their
  API and now returns Bytes instead of KBytes.
- Add call to autoreconf, as above patch touches the build system.

-------------------------------------------------------------------
Wed Jun 20 13:23:02 UTC 2012 - coolo@suse.com

- gcc46 is no longer required for libzypp

-------------------------------------------------------------------
Thu Apr 26 06:31:34 UTC 2012 - vuntz@opensuse.org

- Update to version 0.7.4:
  + New Features:
    - Deprecate Message(untrusted-package) from the API
    - Install pk-task-sync.h as part of the public API
    - Add full integration so that UI can know when to repair the
      system
  + Libraries (glib): Add GType's for packagekit-glib2 enumerations
  + Libraries (qt2): Add simulateRepairSystem and
    repairSystem(bool) to the Transaction API
  + Libraries (python): Speed up get_package_list
  + Zypp Backend:
    - Build pool before resolving
    - Do not set a PACKAGE_NOT_FOUND error when resolving packages
  + Non-zypp backends updates.
  + Bugfixes:
    - Add some documentation about the auto-untrusted logic
    - Add some documentation for the new RepairSystem transaction
      interaction
    - Do not allow an empty resolve call to be passed down to the
      backends
    - Do not include the website in the tarball
    - Drop --print-reply from dbus-send command used on
      suspend/resume
- Remove doc subpackage, as it only contained the website which is
  not shipped anymore in the tarball. Add a Obsoletes for it to the
  main subpackage for smooth upgrades.
- Add a force_gcc46 define that we can use to force building with
  gcc 4.6. This is needed in Factory for now, as libzypp doesn't
  build with gcc 4.7 right now. When this is set, we use gcc46-c++
  BuildRequires and export CC and CXX environment variables to use
  gcc 4.6.
- Add
  0003-Revert-packagekit-qt2-Since-new-methods-and-enums-wh.patch:
  the soversion of libpackagekit-qt2 has been decreased by
  accident, so revert this change for now.

-------------------------------------------------------------------
Fri Mar  2 10:59:58 UTC 2012 - vuntz@opensuse.org

- Update to version 0.7.3:
  + New Features:
    - Add LANGUAGE_SUPPORT what-provides type
  + Libraries (glib):
    - Don't segfault the client if there are no cached properties
    - Fix a critical warning in gnome-settings-daemon when setting
      the proxy
    - Fix transfer annotation of pk_results_get_package_sack()
    - Fix transfer annotations for GPtrArray returns
    - Do not send progress updates for non-verb packages
  + Non-zypp backends updates.
  + Bugfixes:
    - Document CODEC what-provides type
    - Don't crash when the system bus isn't available, just abort
      with an error
    - Fix a critical warning when starting gnome-settings-daemon
    - Imply the install trusted polkit auth when we get the remove
      auth
    - Imply the install trusted polkit auth when we get the
      untrusted auth
    - Port the session example code to GDBus
    - Website updates.
- Remove xz BuildRequires now that it comes for free in the build
  system.

-------------------------------------------------------------------
Wed Feb 15 11:08:41 UTC 2012 - vuntz@opensuse.org

- Move dbus xml interface files from devel subpackage to main
  subpackage: PackageKit now requires them at runtime to work.
- Move the zypp backend to a new backend-zypp subpackage: this will
  make it clearer to users which backend is being used. It also
  makes it easier to test small changes in the zypp backend.
- Move all test backends to devel subpackage, as they are not
  useful to users.
- Add PackageKit-backend Requires to main subpackage, so we get a
  working backend by default. This will be PackageKit-backend-zypp
  since nothing else provides this right now.

-------------------------------------------------------------------
Wed Jan 18 07:23:39 UTC 2012 - vuntz@opensuse.org

- Update to version 0.7.2:
  + New Features:
    - Add a new repair-system policy and use it by the
      corresponding RepairSystem method
    - Add a transaction_reset backend hook
    - Add new roles SimulateRepairSystem and RepairSystem
    - Add pk_*_enum_to_localised_text to pk-enum.h and export via
      GIR
    - Add possibility to connect/disconnect backend signals
    - Add PropertiesChanged signals to the main and transaction
      interfaces
    - Allow the Plasma version to be specified for
      PK_PROVIDES_ENUM_PLASMA_SERVICE
  + Libraries (glib):
    - Convert libpackagekit-glib2 from dbus-glib to GDBus
    - Skip empty catalog entries
  + Libraries (qt):
    - Automatically rebuild moc files with different moc version
  + Zypp Backend:
    - Retrieve url for packages instead of returning "TODO"
  + Non-zypp backends updates.
  + Bugfixes:
    - browser-plugin: Make it compile with newest xulrunner
    - Fix a critical warning in the client tools when a simulation
      is cancelled
    - Fix builddir != srcdir issue
    - Fix item-percentage call in the spawned backend
    - gtk-plugin: Fix name of GTK plugin schema file
    - Make PkProc part of the daemon again
    - Remove deprecated g_thread_init() on GLib < 2.31
    - Set the frontend socket as environment variable in the
      spawned backend
    - Update the website matrix to include the new
      (Simulate)RepairSystem roles
- Rebase patches, via git, including removal of
  0002-Retrieve-url-for-packages-instead-of-returning-TODO.patch
  (fixed upstream).

-------------------------------------------------------------------
Wed Dec 21 15:32:38 UTC 2011 - vuntz@opensuse.org

- Update to version 0.7.1:
  + New Features:
    - Add command line option to keep environment
    - Add Introspection support for PK-Plugins
    - Add possibility for backends/plugins to skip transactions
    - Add 'uid' and 'cmdline' properties to PkBackend
    - Use the new g_thread_new() for new versions of GLib
  + Libraries (qt): Drop packagekit-qt1 which is obsolete in favor
    of packagekit-qt2
  + Libraries (qt2):
    - Remove old Find* macro
    - Really do not distribute moc files
  + Zypp Backend:
    - Dont call build pool inside the loop
    - Only load repositories once
    - Refactor the private static data into one structure
  + Non-zypp backends updates
  + Bugfixes:
    - Check if a transaction should be skipped after it has started
      too
    - Don't use the deprecated g_thread_supported() in the dameon
      code
    - Finalize PackageKitPlugin GIR file
    - Find uninstalled PackageKitGlib-1.0.gir when building
    - Fix the role of the EULA transaction
    - Make PK compile on GNU Hurd
    - Move the gtk-module extra files to the PK tarball
    - Offset the cache age by 30 minutes
    - plugin: Add a few GIR annotations
    - Remove the implemented checks for the simulate methods
    - Require exactly 'y<enter>' or 'yes<enter>' before running a
      transaction
    - Use the newest filter when resolving for new packages to
      install
    - website: Fix broken link to gdb docs
    - website: Improve links to bug trackers
- Changes from version 0.7.0:
  + Notes:
    - This is the first release of the unstable 0.7.x series.
    - This code removes a lot of deprecated code and compatibility
      shims compared to the previous branch.
    - Highlights of this release is the new transaction plugin
      interface that allows external projects to add modules for
      interfacing with PackageKit.
  + New Features:
    - Add an 'auto' string for the --with-default-backend=
      configure option
    - Add an example plugin that saves private state
    - Add an example to contrib to show how to build an out-of-tree
      plugin
    - Add an ItemProgress signal designed to eventually replace
      SubPercentage
    - Add an untrusted section header when using console
      applications
    - Add a PK_PROVIDES_ENUM_LIBRARY entry
    - Add a "Python" type to PkProvidesEnum and document how the
      provided components should be named
    - Add a transaction plugin infrastructure to packagekitd
    - Do not do the compatibility method fallbacks anymore
    - Don't ship all the valid licences as enums anymore
    - Install a pkgconfig file so external projects can build
      plugins
    - Move the check for libraries in use for security updates
      functionality to a plugin
    - Move the checking for running processes before update to a
      plugin
    - Move the clearing firmware functionality into a plugin
    - Move the desktop database rescan functionality into a plugin
    - Move the pre-transaction.d and post-transaction.d
      functionality into a plugin
    - Move the update check for running processes into a plugin
    - Move the updating of the package list into a plugin
    - Raise the PolicyKit required version to 0.98 and drop the
      compat code
    - Remove PkFileMonitor, we can now use GFileMonitor
    - Remove the deprecated PK_BACKEND_OPTIONS
    - Remove the GTK+2 pango module and only support GTK+3
    - Remove the HAL integration code
    - Require a new version of automake, and make configure.in sane
      again
    - Use g_bus_watch_name() and remove the homegrown
      EggDbusMonitor
  + Libraries (glib):
    - Free the PkProgress' package
    - Remove the foo_from_text() compatibility defines
  + Libraries (python): Remove the native python library
  + Libraries (qt): Do not dist the moc files
  + Libraries (qt2): Use cmake package config instead of Find*
    module
  + Zypp Backend:
    - Do not install locked (taboo) patches
    - Do not rebuild the pool on every call causing slowness
      (bnc#679650)
    - Just use the iterator instead of so many temps
  + Non-zypp backends updates
  + Bugfixes:
    - Actually use the value from /etc/login.defs
    - Fix the browser-plugin build with GTK+ < 2.24
    - Port the browser-plugin from dbus-glib to GDBus
    - Convert the daemon to use GDBus rather than dbus-glib
    - Port the gstreamer-plugin from dbus-glib to GDBus
    - gtk-module: Port from dbus-glib to GDBus
    - Ignore local packages when calculating the simulate list
    - Ignore untrusted packages when calculating the simulate list
    - Make percentage, subpercentage and remaining proper GObject
      properties on the PkBackend object
    - Make the lsof plugin code support distros such as Fedora with
      /lib64
    - pk-command-not-found: An ellipsis has three dots, not two
    - Make lsof use the '-n' option to avoid looking up hostnames
    - Remove cppunit check as packagekit-qt2 does not use it
    - Remove the duplicate 'The software is not from a trusted
      source'
    - Use g_unix_signal_add_full() which has been renamed in GLib
- Remove dbus-1-glib-devel BuildRequires: removed upstream.
- Remove the gtk-module subpackage: the GTK+ 2 module got dropped.
  To ensure smooth upgrades, add an Obsoletes for it to main
  subpackage.
- Remove libpackagekit-qt14 and libpackagekit-qt-devel subpackages:
  this library got dropped.
- Add %glib2_gsettings_schema_* macro machinery for gtk3-module
  subpackage since it now contains a GSettings schema.
- Create typelib-1_0-PackageKitPlugin-1_0 subpackage for
  PackageKitPlugin-1.0.typelib, and add Requires for it to devel
  subpackage.
- Split PackageKitGlib-1.0.typelib from libpackagekit-glib2-14 into
  typelib-1_0-PackageKitGlib-1_0 subpackage. Add
  typelib-1_0-PackageKitGlib-1_0 Requires to
  libpackagekit-glib2-devel subpackage.
- Stop marking devel subpackage as noarch as it now contains files
  in %{_libdir}.
- Stop removing .moc files in %prep: they're not shipped anymore.
- Use correct groups for subpackages:
  + System/Daemons for main and branding-upstream subpackages.
  + System/Libraries for typelib-1_0-PackageKitPlugin-1_0,
    gtk3-module, libpackagekit-glib2-14,
    typelib-1_0-PackageKitGlib-1_0, libpackagekit-qt2-2
    subpackages.
  + Development/Libraries/C and C++ for devel and
    libpackagekit-qt2-devel subpackages.
  + Development/Libraries/GNOME for libpackagekit-glib2-devel
    subpackage.
  + Productivity/Networking/Web/Browsers for browser-plugin
    subpackage.
  + Productivity/Multimedia/Other for gstreamer-plugin subpackage.
  + Documentation/Other for doc subpackage.

-------------------------------------------------------------------
Wed Nov 30 14:27:09 UTC 2011 - coolo@suse.com

- add automake as buildrequire to avoid implicit dependency

-------------------------------------------------------------------
Mon Nov 14 10:17:27 UTC 2011 - dmacvicar@suse.de

- Update to version 0.6.20
  + New features:
    - Add command line option to keep environment
  + Libraries:
    - python: Implement and use utf8 stream writer for stdout,
      stderr
  + Zypp Backend:
    - Dont call build pool inside the loop
    - Only load repositories once
  + Non-zypp backends updates
- Drop upstreamed patches:
  + 0002-dont-call-build-pool-inside-the-loop.patch
  + 0003-only-load-repositories-once.patch
  + 0004-Workaround-Don-t-refresh-repositories-each-time-for-.patch
- Add patch to retrieve url of packages:
  0002-Retrieve-url-for-packages-instead-of-returning-TODO.patch

-------------------------------------------------------------------
Mon Nov  7 10:27:14 UTC 2011 - dmacvicar@suse.de

- Redo patches based on github.com/openSUSE/PackageKit for
  easier patch tracking across all distro versions.
- Add patches to fix slowness in zypp backend.
- Add comment in package to help with future updating.

-------------------------------------------------------------------
Wed Oct  5 05:53:32 UTC 2011 - vuntz@opensuse.org

- Update to version 0.6.19:
  + New Features:
    - Offset the cache age by 30 minutes
  + Bugfixes:
    - Use g_unix_signal_add_full() which has been renamed GLib
    - Use the newest filter when resolving for new packages to
      install
  + Non-zypp backends updates.
- Drop PackageKit-glib-2.29.19.patch: fixed upstream.

-------------------------------------------------------------------
Mon Oct  3 07:25:29 UTC 2011 - vuntz@opensuse.org

- Add explicit shared-mime-info BuildRequires since we use the
  %mime_database_* macros.

-------------------------------------------------------------------
Sat Sep 17 10:05:23 UTC 2011 - jengelh@medozas.de

- Remove redundant tags/sections from specfile
- Use %_smp_mflags for parallel build
- Implement baselibs for package

-------------------------------------------------------------------
Tue Sep  6 22:28:58 UTC 2011 - vuntz@opensuse.org

- Update to version 0.6.18:
  + Libraries (glib): Fix a small memory leak
  + Libraries (qt): Do not dist the moc files
  + Non-zypp backends updates.
  + Bugfixes:
    - Fix the browser-plugin build with GTK+ < 2.24
    - Make the lsof plugin code support distros with /lib64
    - Make the lsof plugin not lookup hostnames
    - Remove the duplicate 'The software is not from a trusted
      source'
- Drop PackageKit-gtk224.patch: fixed upstream.
- Add PackageKit-glib-2.29.19.patch: fix build with recent versions
  of glib.
- Manually remove .moc files in %prep so that they get re-generated
  with our version of Qt. See fdo#40662 for more details.

-------------------------------------------------------------------
Fri Sep  2 10:54:09 UTC 2011 - fcrozat@novell.com

- Add PackageKit-gtk224.patch: fix build with GTK+ < 2.24
- Pass V=1 to make, to enable verbose build log.

-------------------------------------------------------------------
Thu Aug 11 18:05:33 UTC 2011 - wr@rosenauer.org

- Add PackageKit-npapi.patch: On openSUSE > 11.4, build using NPAPI
  headers from new package npapi-sdk.

-------------------------------------------------------------------
Tue Aug  2 09:53:59 CEST 2011 - vuntz@opensuse.org

- Update to version 0.6.17:
  + Libraries:
    - Add an untrusted section header when using console
      applications
  + Zypp Backend:
    - Do not rebuild the pool on every call to find package by name
      (bnc#679650)
  + Non-zypp backends updates.
  + Bugfixes:
    - Actually use the value from /etc/login.defs
    - Ignore local packages when calculating the simulate list
    - Ignore untrusted packages when calculating the simulate list
    - pk-command-not-found: An ellipsis has three dots, not two

-------------------------------------------------------------------
Wed Jul  6 15:38:32 CEST 2011 - vuntz@opensuse.org

- Add Requires for PackageKit to branding-upstream subpackage,
  since the branding package is useless without it.
- Update summary and description of branding-upstream subpackage.

-------------------------------------------------------------------
Tue Jul  5 10:48:38 CEST 2011 - vuntz@opensuse.org

- Update to version 0.6.16:
  + New Features:
    - Support looking up Plasma services
  + Libraries (glib):
    - Added element-type annotations for each function returning a
      GPtrArray
    - Ensure packages from the progress handler have the package_id
      assigned
  + Non-zypp backends updates.
  + Bugfixes:
    - Do not hardcode G_DISABLE_DEPRECATED as it breaks with GTK+-2
      and GLib
    - Do not hardcode the UID_MIN as 500 (rh#717110)
    - Do not try to parse any arguments in command-not-found
    - Ensure we save the updates cache for the pre-transaction
      checks
    - Fix a build error in the browser plugin when using old
      versions of gdk
    - Update the PackageKit matrix webpage to reflect current
      backends
- Add xz BuildRequires because we can't build a package for a
  xz-compressed tarball without explicitly specifying that... See
  bnc#697467 for more details.

-------------------------------------------------------------------
Mon Jul  4 14:27:09 CEST 2011 - vuntz@opensuse.org

- Create %{_libexecdir}/gst-install-plugins-helper in %install as
  the ghost files need to exist to be packaged.

-------------------------------------------------------------------
Tue Jun  7 21:03:50 CEST 2011 - dimstar@opensuse.org

- Update to version 0.6.15:
  + New Features:
    - Added PK_INFO_ENUM_UNTRUSTED so we can tell which packages
      are trusted
    - When refreshing cache backends should emit RepoDetail as
      frontends will be able to present extra details
  + Libraries (gir):
    - Annotations for file arrays
    - Some more annotation updates
  + Libraries (qt2):
    - Remove package caching as we use const Packages now
  + Zypp Backend:
    - Fix deletion of package locks (bnc#690038)
    - Log to ZYpp's log the start of a PK backend function to ease
      debugging
  + Non-zypp backends updates.
  + Bugfixes:
    - Do not prevent updating when firefox is running, we don't
      have all the client UI ready yet
    - Only include glib-unix.h if the GLib version is >= 2.29.4
- Drop upstream fixed patches:
  + 0001-zypp-log-to-ZYpp-s-log-the-start-of-a-PK-backend-fun.patch
  + 0002-zypp-fix-deletion-of-package-locks-bnc-690038.patch

-------------------------------------------------------------------
Mon May  9 15:21:17 UTC 2011 - dmacvicar@suse.de

- Add patches:
  + Add PackageKit backend function name in logging
    (pk_backend_log):
    0001-zypp-log-to-ZYpp-s-log-the-start-of-a-PK-backend-fun.patch
  + Fix for lost package locks (bnc#690038):
    0002-zypp-fix-deletion-of-package-locks-bnc-690038.patch

-------------------------------------------------------------------
Fri May  6 10:38:42 CEST 2011 - vuntz@opensuse.org

- Update to version 0.6.14:
  + Lots of nice bugfixes in this release, along with slight
    changes to the SetProxy() and DownloadPackages() D-Bus API. If
    you're using either packagekit-glib or packagekit-qt then
    there's no change required as the libraries have symbol
    fallbacks.
  + The packageKit-qt2 library has been committed. It is eventually
    aiming to replace packagekit-qt.
  + New Features:
    - Add a 'store_in_cache' attribute to the DownloadPackages
      method
    - Automatically cancel running background transactions if a
      foreground transaction is committed
    - Cancel any background transactions when we get
      SuggestDaemonQuit
    - Introduce other attributes in the SetProxy() method
  + Libraries (glib):
    - Add GIR annotations to make PK GIR usable
    - Add header name to GIR and set export package
  + Libraries (qt):
    - Add storeInCache parameter to downloadPackages to cover new
      API
    - Fix typo in SearchGroups
  + Libraries (qt2):
    - New library.
  + Bugfixes:
    - Fix precedence when assigning strings to a *GStrv
    - Create transaction db properly if it's not exist
    - Do not abort in pk_catalog_init() if PackageKit is not
      available. Fixes rh#688280
    - Do not allow backends to output duplicate older packages when
      searching with newest
    - Fix a crash where the error code was pointing to freed
      memory. Fixes rh#684464
    - Fix a typo in pk_transaction_db_get_proxy
    - Get more proxy info after the new proxy parameters was
      introduced
    - Honour ACLOCAL_FLAGS in Makefile.am. Fixes fd#35237
    - browser-plugin: Remove deprecated symbols
    - pkcon: add missing {} around if
    - pk-debuginfo-install: fix typo of using PK_FILTER
    - Use the new threadsafe signal handling support in GLib
    - Various docs updates.
  + Zypp Backend:
    - Check repo file before using it
    - Consider only_trusted option while installing packages
    - Fix memory leak in pk_backend_transaction_start
    - Patch::Content is returned by value. Fixes crash on
      get-updates (bnc#685831)
    - Reload RpmDB before removing packages
    - Report download speed (bnc#663069)
    - Reset packages status in repo while removing packages
    - Set locale info at the begin of transaction
    - Support proxy_https,proxy_socks,no_proxy
    - Use namespace once to remove the namespace noise.
    - Use output parameters (references) for containers
  + Non-zypp backends updates (including removal of pacman
    backend).
- Drop PackageKit-fix-endless-recursion.patch: fixed upstream.
- Drop PackageKit-fix-build.patch: fixed upstream.
- Change Requires of "Packagekit = %{version} to Recommends for
  libpackagekit-glib2-14 and libpackagekit-qt14: a strict Requires
  like this goes against the goal of the shared library packaging
  policy. Also, the users of those libraries should gracefully
  handle the case where the PackageKit daemon is not running or
  doesn't understand the D-Bus requests.
- Create libpackagekit-qt2-0 and libpackagekit-qt2-devel subpackage
  for the new libpackagekit-qt2 library.
- Remove explicit Requires for packages from various devel
  subpackages as they will automatically be added the pkgconfig()
  way:
  + PackageKit-devel: glib2-devel, NetworkManager-devel,
    sqlite3-devel
  + libpackagekit-glib2-devel: glib2-devel, NetworkManager-devel,
    sqlite3-devel (as well as PackageKit itself)
  + libpackagekit-qt-devel: libqt4-devel (as well as PackageKit
    itself)
- Mark branding-upstream subpackage as noarch.
- Set BUILD_CNF to 1 as the file search works again. This means the
  pk-command-not-found utility will be built again.

-------------------------------------------------------------------
Thu Apr 28 12:27:43 CEST 2011 - vuntz@opensuse.org

- Add PackageKit-fix-build.patch to fix build: do not use some
  deprecated symbol. Taken from git.

-------------------------------------------------------------------
Wed Apr 20 09:46:25 CEST 2011 - dmueller@suse.de

- Add opensuse-codecs-installer Provides/Obsoletes to
  gstreamer-plugin subpackage, as it replaces it.

-------------------------------------------------------------------
Mon Apr  4 15:36:51 UTC 2011 - fcrozat@novell.com

- Add gtk3-devel BuildRequires.
- Create gtk3-module subpackage.

-------------------------------------------------------------------
Fri Mar 11 16:17:48 UTC 2011 - dmacvicar@suse.de

- Update to version 0.6.13
  + Libraries:
    - Allow pk_client_download_packages_async() to be called with
      no target directory
    - Port away from PolkitBackendActionLookup to support new
      versions of PolicyKit
  + ZYpp Backend:
    - remove check online in refresh cache
    - uses the standard system update algorithm from ZYpp. Fixes
      bnc#637764 (as patch in 0.6.12 package)
  + Non-zypp backends updates.
  + Bugfixes:
    - Add missing python(gio) requirement
    - Check for polkit_authority_get_sync symbol
    - Change the connman DBus name
    - Update for NetworkManager 0.9 snapshots
- Drop PackageKit-use-system-solve.patch: fixed upstream.

-------------------------------------------------------------------
Sat Feb 26 10:57:15 UTC 2011 - coolo@novell.com

- small (and obvious) fix for bnc#671146

-------------------------------------------------------------------
Fri Feb 18 11:25:43 UTC 2011 - dmacvicar@suse.de

- Add PackageKit-use-system-solve.patch to update ZYpp backend:
  + uses the standard system update algorithm from ZYpp, which
    honours user policies. (bnc#637764)
  + configurable HidePackages=true in [Updates] section in
    /etc/PackageKit/ZYpp.conf to show only maintenance patches
    instead of all packages with update candidates.

-------------------------------------------------------------------
Fri Feb 18 11:14:13 UTC 2011 - dmacvicar@suse.de

- Update to version 0.6.12:
  + New Features:
    - Add speed python backend method
    - Allow the user to specify a comma delimited list of default
      backends
    - Provide a hook so spawned backends can report speed
  + Libraries (glib):
    - Allow the service pack self tests to run by setting the temp
      directory
    - Avoid spamming lots of low level debugging to
      .xsession-errors. (rh#668303)
    - Check sscanf() returned the correct number of items before
      using the answer
    - Do not return distro-specific id's whilst testing, to fix
      'make check' on Debian
    - Ensure we test for and always run the
      self-check-socket-program in 'make check'
    - Only use g_time_val_from_iso8601() when we have a valid
      ISO8601 value
  + Libraries (qt): Build fix.
  + Bugfixes:
    - Do not enable command not found debugging by default.
      (rh#666254)
    - Explictly include GIO in LDADD to fix a compile error on
      Debian
    - Fix calling pk_client_helper_start() with no environment set
    - Fix bug which caused a crash when the Section() of a package
      was NULL (lp#591474)
    - Only try to populate the command list in pkcon after the
      PkControl command has finished
    - pkcon: check PK error in pk_console_resolve_package
    - Set client locale to LC_MESSAGES rather than LC_ALL
  + Zypp Backend:
    - Consider autoremove in remove_packages
    - Don't send package signal in DownloadProgressReportReceiver
    - Erase system resolvables in zypp_build_pool
    - Implement download packages
    - Include system repo when install local rpm
    - Refresh cache before searching
    - Support download source RPM packages
  + Non-zypp backends updates.
  + Updated translations.

-------------------------------------------------------------------
Mon Feb 14 16:20:35 CET 2011 - sbrabec@suse.cz

- Added support for translation-update-upstream.

-------------------------------------------------------------------
Sun Feb 13 17:00:28 CET 2011 - vuntz@opensuse.org

- Call relevant macros in %post/%postun:
  + %mime_database_post/postun because the package ships a mime
    type definition.
- Pass %{?no_lang_C} to %find_lang so that english documentation
  can be packaged with the program, and not in the lang subpackage.

-------------------------------------------------------------------
Thu Jan  6 02:16:55 CET 2011 - vuntz@opensuse.org

- Add %{_libexecdir}/gst-install-plugins-helper as a ghost file in
  the file list of the gstreamer-plugin subpackage, since we use
  the update-alternatives mechanism.

-------------------------------------------------------------------
Mon Dec 27 23:41:20 CET 2010 - dimstar@opensuse.org

- Update to version 0.6.11:
  + Notes:
    - Additonal notes have been added to the DBus specification
      that allow backends to send the origin of a installed
      package. This is optional.
    - Additionally, more recommendations have been made to allow
      searching by repository. See the DBus specification for more
      details.
  + New Features:
    - Add a new backend role for updating the whole distro:
      UpgradeSystem
    - Allow backend to encode the package origin in the package-id
    - Added PK_ERROR_ENUM_CANNOT_FETCH_SOURCES when refreshing
      cache fails
    - Add recommendation 'repo:foo' to be able to return all
      packages in a certain repository
    - Change the spec to recommend 'category:web-development'
      rather than '@web-development'
    - Spawn KDE Debconf frontend if KDE is running
  + Bugfixes:
    - Allow cancelling a transaction if it is not cancellable
    - Always show update a package even if already update
    - Correct the description of
      org.freedesktop.packagekit.upgrade-system
    - Do not disable background mode if we are marked as
      interactive, as the two are orthognal
    - Ensure we can send a cache-age of maxuint to fix
      command-not-found
    - Ensure we emit PK_STATUS_ENUM_WAIT when a transaction is in
      the 'ready' state
    - Ignore unknown entries in the pk_x_bitfield_from_string() to
      ensure forwards compatibility
    - Use G_LOG_DOMAIN in all the backends
  + Libraries:
    - glib: Add some C getters to PkDistroUpgrade
    - packagekit-qt:
      . Add searchGroups methods that can take a string so we can
        search on categories
      . Emit transactionListChanged(empty) when daemon crashes
      . Fix order of initialization
      . Updated enums and converted tabs to spaces
      . Use QDBusServiceWatcher instead of watching for
        serviceOwnerChanged()
      . Write the getCategories() code so we can use it
    - python: use SetHints now instead of SetLocale
  + Dummy Backend:
    - Add a more realistic UpgradeSystem
    - Fix a potential NULL dereference spotted by clang
  + Zypp Backend:
    - Catch ZyppFactoryException in get_zypp
    - Filter installed packages to update
    - Fix a logic error in refresh cache
    - Fix a typo in get_zypp
    - Port from PK_BACKEND_OPTIONS function table
    - Support repo filter in getting repo list
    - Transfer correct restart info while updating packages
    - Use zypp::sat::SolvAttr::filelist in search file
  + Non-zypp backends updates.
  + Updated translations.

-------------------------------------------------------------------
Thu Dec  9 10:23:44 CET 2010 - vuntz@opensuse.org

- Build against mozilla-xulrunner20-devel on 11.4 and later.

-------------------------------------------------------------------
Tue Nov 16 17:02:11 CET 2010 - dimstar@opensuse.org

- Update to version 0.6.10:
  + Notes:
    - This is the first release of PackageKit to support session
      configuration helper support in the GLib and QT libraries.
    - This allows debconf to work when using PackageKit on Debian.
    - A formal transaction lifecyle is now in place, which allows
      future extensions to hook into the transaction at certain
      points.
  + New Features:
    - Add a new optional hint, 'cache-age' to allow the frontend to
      control the maximum age of the metadata
    - Add PkClientHelper, which allows a helper session program to
      be run for a transaction
    - Add the concept of a transaction lifecycle
    - Document the @category resolve special case in the
      specification as it's been used for at least a year now
    - Document the @category search in the docs, as it's been used
      in a few backends for over two years.
  + Libraries:
    - glib: Add several more FSF free licenses
    - glib: Add some C getters and setters for PkClient and PkTask
    - glib: Fix up a lot of the gobject-introspection warnings
  + Bugfixes:
    - Add a special case of a DBus unique name of
      :org.freedesktop.PackageKit which is used in the self check
      code
    - Always emit Message(BackendError) when there is a parsing
      error from a spawned process
    - Always emit the locked and unlocked signals even if HAL is
      not available
    - cnf: Pass all arguments to comand-not-found so we open the
      newly installed tool with existing argv
    - Do not strip the trailing plus when comparing licences, as
      GPL+ exists, but GPL does not
    - Ensure we notice when a spawn command is invalid by printing
      it in red on the command line
    - Make PkLsof find lsof on Debian
    - rh#641311: Make the output of command-not-found match the
      bash builtin.
    - Move the managed bindings to a seporate repo as they are very
      out of date
    - Prevent a segfault when estimating the time when the backend
      issues many ProgressChanged signals at one time.
    - rh#641691: Raise the default of StateChangedTimeoutPriority
      from 5 seconds to 30 seconds.
    - Require GTK >= 2.91.0 for the GTK3 version of the PackageKit
      font install module
    - Return with success if the database contained no proxy values
      for a transaction, as this could be correct
    - Switch from EggDebug to the GLib debugging framework
    - Switch the default to UseUpdateCache=false now that we are
      using cache-age
  + Zypp Backend:
    - Call zypp_build_pool() when searching with what_provides.
- Drop PackageKit-zypp-fix-provides-search.patch: upstream fixed.

-------------------------------------------------------------------
Fri Oct  8 11:56:22 CEST 2010 - vuntz@opensuse.org

- Add PackageKit-zypp-fix-provides-search.patch: this fixes the
  search for provides, and as a side-effect, this fixes bnc#640935.

-------------------------------------------------------------------
Tue Oct  5 10:02:17 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.9:
  + New Features:
    - Add transaction_start() and transaction_stop() vfuncs to make
      backends simpler
    - Add a feature that allows external scripts to be run after
      certain transactions
    - Allow backends to omit the table-of-vfuncs and use GModule
      functionality to resolve backend functions
  + Libraries:
    - glib: Check the GCancellable is not already cancelled at
      startup in PkClient and PkControl
    - glib: Do not crash the client if a catalog file has both file
      and package sections
    - glib: Do not return simulation failures as critical errors
    - glib: Only return packages for catalogs that are _not_
      installed
    - qt: Use setHints() on new constructor
  + Bugfixes:
    - Add a nicer translated error when UpdatePackages has no
      packages to update. Fixes fdo#30459
    - browser-plugin: Do not query PkDesktop by default
    - browser-plugin: Fix up 2 small memory leaks in error paths
    - cnf: Add a proper error message when the transaction was
      cancelled
    - Don't call back into the daemon (from the daemon) when
      checking service packs. Fixes rh#634628
    - Ensure we set an error if the spawned backend gets cancelled
    - Fix build with newer gobject-introspection
    - Fix generating an updates service pack using pkgenpack
    - Use the correct network state for connman
  + Zypp backend:
    - Add development package support to filtering
    - Calculate sizes for patches correctly: bmo#2281, bnc#559802
    - Enable proxy for zypp backend
    - Include patches in 'resolve' results. bmo#2059
    - Refresh cache and sat solv pool data if necessary
    - Refresh cache before getting upgrade and installing
    - Refresh system rpmdb while refresh cache
    - Remove premature require_restart emission in
      update_packages_thread
  + Non-zypp backends updates.
- Drop PackageKit-fix-introspection-build.patch: fixed upstream.
- Drop PackageKit-BNC559802-zypp-count-patch-size.patch: fixed
  upstream.

-------------------------------------------------------------------
Fri Oct  1 19:24:43 CEST 2010 - vuntz@opensuse.org

- Add PackageKit-fix-introspection-build.patch to fix build with
  recent gobject-introspection.

-------------------------------------------------------------------
Tue Sep 28 19:27:17 UTC 2010 - aj@suse.de

- Change lang package Requires to Recommends since it is not
  mandatory at runtime.

-------------------------------------------------------------------
Sun Sep 19 00:52:31 CEST 2010 - vuntz@opensuse.org

- Move gir files to devel subpackage.

-------------------------------------------------------------------
Tue Sep  7 01:39:52 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.8:
  + Libraries:
    - packagekit-qt: Fix compilation
    - packagekit-qt: Fixed error on proxy creating, extended API
    - packagekit-qt: Forgot to setHints()
  + Bugfixes:
    - Add accessor to detect if an error is already set on a
      backend
    - Ensure gobject-introspection is installed before running
      configure. Fixes fdo#29861
    - Fix compile with the latest PolicyKit release
    - Increase timeout between an error message and assuming the
      thread is dead
    - Set allow_cancel default in init to match that in
      pk_transaction_set_running ie. FALSE
  + Zypp backend:
    - Immediately abort transactions that set errors relating to
      signature interactions
    - Remove a double pk_backend_finish path, and an incorrect
      update_packages callback
  + Non-zypp backends updates.
  + Updated translations.

-------------------------------------------------------------------
Fri Aug  6 14:29:09 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.7:
  + New Features:
    - Add a long document explaining the media-repo functionality
    - If either of ProxyHTTP are set in PackageKit.conf then ignore
      the user proxy setting. Fixes rh#604317
  + Libraries:
    - glib: Add an 'interactive' property to PkTask so that we  can
      use it to do '-y' in pkcon properly
  + Bugfixes:
    - Add 0install to the user list
    - cron: Do not exit with 1 if the cron script is disabled in
      the config
    - Don't ship README AUTHORS NEWS COPYING in all subpackages.
      Fixes rh#612332
    - Make the PkBackend always start with the WAIT state, but do
      not proxy this onto the bus
    - Recognise bluetooth connections as mobile networks. Fixes
      rh#609827
    - Unbreak CNF after the daemon moved to libexec. Fixes
      rh#613514
  + Non-zypp backends updates.
  + Updated translations.
- Drop PackageKit-cron-disabled-is-no-error.patch: fixed upstream.

-------------------------------------------------------------------
Thu Jul 22 19:52:13 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.6:
  + New Features:
    - Add a MaxSearchTime entry in CommandNotFound.conf and default
      to 2000ms
    - Assign names to our idle sources when using new versions of
      glib2
    - Build the gtk-module for gtk-3.0 as well as gtk-2.0 if
      available
    - Port 'make check' to GTest rather than using our homegrown
      EggTest functionality
    - Get the control properties async when the user starts the
      pkmon tool
  + Bugfixes:
    - Only set a cancelled error after we've given the backend a
      fighting chance to process the request
    - Move the packagekitd binary to libexec
    - Ensure we clear the cancel timer when we finish a PkBackend
      transaction
    - Ensure filters are properly split for spawned backends
  + Libraries:
    - glib: Explicitly mark the library as LGPLv2 by using the
      correct boilerplate code
  + Zypp backend:
    - Disable get_zypp in intialize
    - Fix FPE when there are no repos
    - Don't crash checking status of non-patches
  + Non-zypp backends updates.
  + Updated translations.
- Change tag of PackageKit-cron-disabled-is-no-error.patch to
  mention upstream bug.
- Obsoletes ruck to make sure it gets removed since it's not
  supported anymore.
- Version the Requires on PackageKit-branding to fix a rpmlint
  warning.

-------------------------------------------------------------------
Wed Jun 23 11:28:57 CEST 2010 - dimstar@opensuse.org

- Update to version 0.6.5:
  + New Features:
    - Add --force argument to pkcon refresh
    - Show the MediaChangeRequired signals in pkmon
    - Use the new PkTask API in pkcon so we can deal with Media and
      Eula querie
  + Bugfixes:
    - Build conditional BUILD_ZIF needs to be at the top level
    - Fix problem whereby the terminal wouldn't return data to
      scanf from a read
    - Fix up several daemon thinkos when a client tries to set a
      root other than '/'
  + Libraries:
    - glib: Add some new PkTask methods that handle the Media and
      Eula callbacks
    - qt: Add Q_ENUMS to DaemonError
    - python: Fix a typo in format_string
  + Zypp backend:
    - Detect and advertise from /etc/meego-release
    - Re-factor to pass PkBackend around
    - Re-work install_packages_thread
    - Unify code used to generate the list of updates
  + Non-zypp backends updates.
- Changes from version 0.6.4:
  + Notes:
    - This release is the first to support a relocatable root,
      which may be useful to LTSP and some virtualised
      environments. It's not yet well tested, and early adopters
      are encouraged to joint the mailing list
  + New Features:
    - Allow clients to request a relocatable root, but only with
      admin authority
    - Add hint:simulate boolean on the backend, set for all
      simulation methods, to increase code re-use
    - Add maximum wait time limit to cron checks
    - Add support for the 'frontend-socket' hint and pass it to
      backends
    - Ported PackageKit to Haiku
    - Send a message when other updates are held back so we can add
      a note to the GUI tool
  + Bugfixes:
    - fdo#27527: Correctly fallback by checking the transaction
      role, not the backend role.
    - Don't return from SetProxy() before we've got the
      authentication result
    - Downgrade required autoconf version
    - Ensure the daemon emits Message() signals when replaying the
      cached GetUpdates data
    - Fix parallel-build snafu wrt. MOC generated files
    - Fix system name variable name inconsistency in the cron
      script
    - Fix the permission of /etc/sysconfig/packagekit-background to
      be non-executable
    - Fix up three typos in translated strings
    - If http_proxy or ftp_proxy are set in the environment, use them in pkcon
    - Remove the ruck client, it's been broken for the last few releases
  + Libraries:
    - glib: Add C accessors for PkMessage
    - glib: Add some more C accessors for PkPackage
  + Zypp backend:
    - Attempt to improve backend_find_packages
    - Cleanup a certain amount of superstitious coding
    - cleanup 'resolve' filtering code
    - Factor pool item change notification out into
      zypp_backend_pool_item_notify
    - Fix leaks in GetRequires, resolve and what_provides
    - Fix memory leaks
    - Fix multiple bugs in Resolve()
    - Get the final 'finished' signal right on remove
    - Implement simulated package removal
    - Improve exception handling
    - Introduce a pseudo-architecture "source" to distinguish
      source packages from binary ones
    - Let libzypp determine whether a patch is needed
    - Share the version / architecture comparison code into
      zypp_ver_and_arch_equal
    - Tweak filtering to ensure that we never emit both
      states even if a package is also re-installable
  + Non-zypp backends updates.
  + Updated translations.
- Drop upstream included patches:
  + 0001-zypp-fix-memeory-leaks.patch
  + 0002-zypp-attempt-to-improve-backend_find_packages.patch
  + 0003-zypp-let-libzypp-determine-whether-a-patch-is-needed.patch
  + PackageKit-libzypp6.patch
- Rebase patches:
  + PackageKit-cron-disabled-is-no-error.patch
  + PackageKit-sysconfig-cron.patch
- Delete ruck subpackage: ruck client has been broken for a few
  releases.
- Remove workaround to make
  %{_sysconfdir}/sysconfig/packagekit-background non-executable.

-------------------------------------------------------------------
Fri Jun 18 18:34:14 UTC 2010 - sreeves@novell.com

- Add PackageKit-bnc609409.patch.
    Failure getting dependencies for upates.

-------------------------------------------------------------------
Wed Apr 28 17:10:59 CEST 2010 - ma@suse.de

- Add patches:
  + 0001-zypp-fix-memeory-leaks.patch: fix memeory leaks.
  + 0002-zypp-attempt-to-improve-backend_find_packages.patch
    zypp: attempt to improve backend_find_packages. (bnc#597772)
  + 0003-zypp-let-libzypp-determine-whether-a-patch-is-needed.patch
    zypp: let libzypp determine whether a patch is needed. Together
    with the latest libzypp, this will no longer classify locked
    patches as being needed. (bnc#577118)

-------------------------------------------------------------------
Wed Apr 28 10:00:07 UTC 2010 - seife@opensuse.org

- Add PackageKit-cron-disabled-is-no-error.patch: having
  the cron job disabled is not an error (after all it is
  configurable). Return value should be 0 in this case to stop
  annoying cronjob mails.

-------------------------------------------------------------------
Wed Apr 21 11:31:15 CEST 2010 - meissner@suse.de

- added obsoletes/provides for the renamed package to allow
  zypp to migrate it correctly on update.

-------------------------------------------------------------------
Sat Apr 10 01:40:59 CEST 2010 - vuntz@opensuse.org

- Use %py_requires instead of an explicit python PreReq.
- Create browser-plugin, gstreamer-plugin and gtk-module
  subpackages.
- Use update-alternatives to setup the gstreamer helper, so we
  don't have to pass a special argument when building
  gstreamer-0_10-plugins-base.
- Do not build the PackageKit-based command-not-found since it
  doesn't work with our zypp backend. We make it easy to have it
  back with a build-time option.
- Build the cron script, that makes it possible to update the
  system daily with PackageKit:
  + remove --disable-cron from configure
  + add PackageKit-sysconfig-cron.patch to make the configuration a
    real sysconfig-like configuration
  + add %fillup_prereq PreReq
  + add a %post section to fill the sysconfig configuration based
    on the template

-------------------------------------------------------------------
Wed Mar 31 01:45:31 CEST 2010 - vuntz@opensuse.org

- Update to version 0.6.3:
  + Notes:
    - Two important bugfixes, one that causes high CPU load in
      client programs, and one that fixes an odd crash in the
      libnm-glib threading code.
  + Libraries:
    - glib: Add pk_package_sack_filter() and
      pk_package_sack_remove_by_filter()
    - glib: Do not generate a PkPackageSack from the package array,
      instead add packages as they appear
    - glib: Ensure we remove CLEANUP and FINISHED from the package
      sack before we run the simulate callback
    - glib: Fix up a critical warning when installing a file, not a
      package
    - qt: Fixed UpdateState enum
    - python: Fixed packagekit.client.search_file()
  + New Features:
    - Add a configure option UseThreadsInBackend so we can more
      easily debug packagekitd
    - Break internal python API by supplying a list of filters to
      the backend, not a delimited list
    - Add a boolean configure variable 'SimilarNameSearch' to allow
      skipping swizzle testing. Fixes fdo#27246
    - Show PkPackage changes in pkmon for easier debugging
  + Bugfixes:
    - Add some missing G_BEGIN_DECLS and G_END_DECLS to fix
      including from C++
    - Be more careful when testing the value of waitpid() to try to
      debug a problem where the backend appears to exit
    - Do not crash libdbus when libnm-glib uses it's own context
    - Do not finish the transaction with success when the spawned
      backend does a non-finished exit
    - Do not show installed packages when we choose packages to
      download
    - Ensure the Package(finished) signal is always sent during the
      transaction. Fixes rh#522628
    - Fix a nasty segfault if the library check-restart code tries
      to emit a restart-required
    - Fix Kubuntu support for upgrade
    - Fix reporting distribution upgrades by setting the correct
      property in two places
    - Never exit the daemon, even when we hit a race in PkSpawn -
      just cleanup, warn, and continue
    - Do not call finished before exiting the script due to an
      error
    - When realpath fails, do not silently fail but return with an
      error
  + Non-zypp backends updates.
  + Updated translations.
- Drop PackageKit-fix-pk-qt.patch: fixed upstream.

-------------------------------------------------------------------
Fri Mar 26 15:15:59 CET 2010 - vuntz@opensuse.org

- Add PackageKit-fix-pk-qt.patch, taken from git, to make
  libpackagekit-qt work correctly.

-------------------------------------------------------------------
Fri Mar 26 13:14:34 CET 2010 - vuntz@opensuse.org

- Build against mozilla-xulrunner192-devel on openSUSE > 11.2.

-------------------------------------------------------------------
Tue Mar 23 22:08:13 CET 2010 - vuntz@opensuse.org

- Update to version 0.6.2:
  + Notes:
    - We broke PackageKit-Qt API in a big way this release. You'll
      need a new KPackageKit if you're using KDE.
    - There is a _tiny_ API break in PackageKit-glib2 which means
      most apps just need a recompile.
  + Libraries:
    - PackageKit-glib2: Add pk_control_suggest_daemon_quit()
    - PackageKit-Qt: Add a Last[enum-type] entry to each type
    - PackageKit-Qt: Added more constness to the lib
    - PackageKit-Qt: Drop QObject for Package
    - PackageKit-Qt: Fix filtersToString and make enumToString more
      robust
    - PackageKit-Qt: Fix up a typo that prevents compiling programs
      that use -pedantic-errors
    - PackageKit-Qt: Fully automatize the proxy generation
    - PackageKit-Qt: Moved the package enums to Enum class
    - PackageKit-Qt: Port tests to current API
    - PackageKit-Qt: Port the tests to the new Enum class
    - PackageKit-Qt: Switch from QDbusReply to QDBusPendingReply
  + New Features:
    - Add a new library function: pk_package_sack_filter_by_info()
    - Add a pk_backend_set_speed() helper function
    - Added autoremove to simulateRemovePackage
    - Add the eula-required python method helper
    - Change the python helpers to get sent an array of values, not
      a delimited string
    - Define a new error code for when the user declines the
      simulation
    - Removed deprecated SetLocale
    - Show messages in the pkmon output when the task has completed
  + Bugfixes:
    - Add the environment variable accepted_eulas to the spawned
      processes
    - Add the polkit backend library in LIBADD, not LDFLAGS. Fixes
      fdo#26373
    - Do not run the transaction with only_trusted if the
      simulation inferred that any packages were unsigned
    - Ensure that a malicious user can't make the backend exit by
      injecting a bogus EULA call into the transaction
    - Fix a logic problem where the PkSpawn and PkBackend instances
      would race and sometimes issue a pk_backend_finished() when
      the dispatcher instance was being changed
    - Initialize relevant GError's in the daemon to NULL
    - Install the introspection data to the correct location
    - Update the list of free licences from the Fedora wiki
  + Backends:
    - zypp: add more features to repo_set_data
    - zypp: change policy to download first
    - Non-zypp backends updates.
  + Updated translations.
- Add gobject-introspection-devel BuildRequires.
- Rename libpackagekit-glib2-13 to libpackagekit-glib2-14 and
  libpackagekit-qt13 to libpackagekit-qt14 after soversion change.
- Add workaround to install pm-utils files in libexecdir, since
  this is how pm-utils is configured in openSUSE.

-------------------------------------------------------------------
Fri Mar 19 13:17:02 CET 2010 - vuntz@opensuse.org

- Add branding infrastructure, and create a
  PackageKit-branding-upstream. There is some vendor-specific
  settings that really belongs to branding packages, and we can
  also change the default configuration there. Fix bnc#471377.
- Drop PackageKit_release.patch: this will be done in the branding
  package.

-------------------------------------------------------------------
Thu Mar 18 15:37:48 CET 2010 - vuntz@opensuse.org

- Update to version 0.6.1:
  + Backends:
    - zypp: Add more features to repo_set_data
    - zypp: Partial support of multiple values for search params
    - zypp: Work with packagekit-glib2
    - Non-zypp backends updates.
  + New Features:
    - Add Kubuntu support for upgrade
    - Add support for the 'interactive' hint in the daemon, and
      also sent it to the backend
    - Add a new message enum 'repo-for-developers-only' for repos
      that should not be used by users
    - Add sync versions of the PkPackageSack functions
    - Enable initial introspection support in PackageKit-glib2
    - Sort the packages by name in all pkcon results
  + Bugfixes:
    - Ensure we enter SETUP before we run the pre-transaction
      checks
    - Add a parent object to all the source objects to track the
      source role and transacton id
    - Ensure we set an error when the transaction is cancelled
    - Ensure PkProgress sends ::notify signals when properties
      change
    - When adopting a transaction ensure we set the role on the
      PkResults object
    - Show the translated role and status when using pkgenpack
    - Ensure that pkgenpack generates filenames without ';'
      embedded in them
    - If the user uses 'pkcon install dave.rpm' then give a useful
      error message
    - Fixed packagekit.client.install_packages() in Python bindings
    - Cache autoremove too in transaction_remove_packages
  + Updated translations.
- Update to version 0.6.0:
  + New Features:
    - Remove the deprecated DBus methods from the daemon
    - Break internal and external API to support OR queries
    - Add a new error enum 'failed-due-to-running-process' for
      future code
    - Add a new config file entry, NoUpdateProcessList that
      specifies processes that should not be updated when running
    - glib: Remove the deprecated glib library
    - packagekit-qt: Removed deprecated methods
    - packagekit-qt: Added searchNames, searchFiles and searchGroups
  + Bugfixes:
    - cnf: Ensure we send error messages to stderr, not stdout.
      Fixes rh#545220
    - Fix a crash where the extra library check file callbacks had
      the wrong signature
    - Allow the inhibit call to go through even if cancel is not
      implemented
    - packagekit-qt: Improved and fixed transaction handling so
      does not crash kded module anymore
    - packagekit-qt: Fixed the naming of the conviniece functions
      to match the same function
  + Non-zypp backends updates.
  + Updated translations.
- Update to version 0.5.5:
  + New Features:
    - Add a --plain option to pkcon to better support not-running
      with a console
    - Moved get_distro id to a daemon property
    - Fixed one old call to get_distro_id and changed all
      identifiers to distro;version;arch
    - Make the scan for desktop files be recursive
  + Bugfixes:
    - Switch the signed install permission to require the root
      password
  + Many other bugfixes and libraries updates (see NEWS for
    details)
  + Non-zypp backends updates.
  + Updated translations.
- Changes from version 0.5.4:
  + Backends
    - zypp: Add support for get_mime_types
  + New Features
    - Add a vtable entry get_roles() to allow the backend to
      override what is advertised by the daemon
  + Many bugfixes and libraries updates (see NEWS for details)
  + Non-zypp backends updates.
  + Updated translations.
- Changes from version 0.5.3:
  + Notes:
    - Quite a few method and property additions and clarifications
      to the spec, with 7 methods now deprecated. We'll be
      supporting the deprecated methods all through 0.5.x so client
      code does not have to worry until 0.6.x.
    - Support for using idle bandwidth, disk and CPU in some
      circumstances.
    - A new 'slapt' backend for slackware packages as a preview
      release.
    - This is the first release to use the glib2 library
      internally. This makes the client tools faster, more stable
      and more supportable. The headers are also now used in the
      daemon and many of the synchronous methods are now async.  It
      is not yet recommended for external client programs use
      packagekit-glib2 as the API is not yet set in stone and may
      change. This is expected in 0.6.x.
  + Specification
    - Add a Speed property to the interface as some users require
      the download speed
    - Add a per-Transaction ::Changed() signal and deprecate the
      other FooChanged() signals
    - Add OR delimiters to SearchName, SearchDetails, SearchGroup,
      SearchFile and WhatProvides
    - Add ElapsedTime and RemainingTime as properties on the
      Transaction interface
    - Mandate that ::Files() from DownloadPackages must be one per
      package, with the package_id set correctly
    - Deprecate SetLocale() and add another method to replace it,
      SetHints()
    - Deprecate ::Locked() and ::NetworkStateChanged() and add
      properties and a ::Changed() signal
  + Various small new features, many bugfixes and libraries updates
    (see NEWS for details)
  + Non-zypp backends updates.
  + Updated translations.
- Changes from version 0.5.2:
  + Notes
    - A new read-only backend for FreeBSD Ports.
    - New Simulate* methods added to find out what a transaction
      will do.
    - Resove() now accepts a package_id as well as a package name.
    - New properties on the DBus interfaces, with the old methods
      deprecated.
    - The new packagekit-glib2 library is experimental and
      unstable, but is designed to replace the old packagekit-glib
      library long term. Early testing welcomed.
  + New Features
    - Make the browser plugin interaction better
    - Simulate installing packages and files in pkcon if possible
    - Add the device rebinding functionality required for the
      session to install drivers
    - Add PK_PROVIDES_ENUM_POSTSCRIPT_DRIVER for the new foomatic
      functionality
    - Allow resolve to match on an exact package_id
    - Property names have to be WindowsStyleCaps
  + Many bugfixes and libraries updates (see NEWS for details)
  + Non-zypp backends updates.
  + Updated translations.
- Add libgudev-1_0-devel BuildRequires.
- Add pm-utils BuildRequires and drop
  PackageKit-force-pm-utils.patch since the new pm-utils has a
  pkg-config file. Also remove autoreconf call.
- Rebase PackageKit_release.patch to remove part that is fixed
  upstream.
- Drop PackageKit-BNC543595.patch: fixed upstream.
- Drop PackageKit-BNC383261-suggest-daemon-quit.patch: this API is
  now upstream (but the API had changed, so it's named differently)
- Drop PackageKit-webyast.patch: fixed upstream.
- Rename libpackagekit-glib12 and libpackagekit-glib12-devel to
  libpackagekit-glib2-13 and libpackagekit-glib2-devel after
  library name change (note that we don't put the soversion in the
  devel package name anymore).
- Rename libpackagekit-qt12 to libpackagekit-qt13 after soversion
  change, and rename libpackagekit-qt12-devel to
  libpackagekit-qt-devel to follow the library policy. Make
  libpackagekit-qt-devel obsolete libpackagekit-qt12-devel, but not
  provide it (since it's not the same ABI).
- Improve summary of ruck to fix rpmlint warning.

-------------------------------------------------------------------
Wed Mar 17 09:10:34 UTC 2010 - glin@novell.com

- enhanced zypp backend to calculate the download size of a patch
  while sending the package details. Fix a part of bnc#559802

-------------------------------------------------------------------
Tue Feb  9 17:19:16 CET 2010 - prusnak@suse.cz

- Build doc and devel subpackages as noarch on openSUSE 11.2 and
  later since they don't contain any architecture-dependent files.

-------------------------------------------------------------------
Fri Jan 29 09:41:06 UTC 2010 - lslezak@suse.cz

- enhanced libzypp-backend to save more attributes
  (keeppackages, url and name), this is needed by WebYaST
  Repository Manager module
- version 0.5.1-4

-------------------------------------------------------------------
Sun Dec  6 09:38:19 UTC 2009 - coolo@novell.com

- refresh the patches to fix build

-------------------------------------------------------------------
Thu Oct  8 17:15:04 UTC 2009 - sreeves@novell.com

- Fix bnc#543595 - install local files.

-------------------------------------------------------------------
Wed Aug 12 13:47:30 CEST 2009 - dominique-obs@leuenberger.net

- Use new python macros on openSUSE <= 11.1

-------------------------------------------------------------------
Sun Aug  9 12:43:26 CEST 2009 - coolo@novell.com

- use new python macros

-------------------------------------------------------------------
Mon Aug  3 19:44:57 CEST 2009 - dominique-obs@leuenberger.net

- Update to version 0.5.1:
  + Security reviewd: see link for details
    http://cgit.freedesktop.org/packagekit/plain/docs/security.txt
  + PackageKit's proxy support got a major tuneup, see link
    http://cgit.freedesktop.org/packagekit/plain/docs/setting-the-proxy.txt
  + Detection of security updates to shared libraries in use
  + Lots of bugfixes and a few new configure options
  + Updated translations
  + New Features:
    - Check for pm-utils installation if pm-utils option is enabled
    - Adding 'strict' option to configure to add -Werror
      (auto-enabled in repo)
    - Add networkmanager, connman and service-packs options to
      prevent auto-magic deps
    - Add functionality to detect when shared libraries are being
      used that are updated in a security update
    - Limit the maximum number of requests a given user is able to
      request and queue
    - Limit the number of packages that can be processed by the
      daemon in one method call
    - Add a security document after some initial review
    - glib: Add a PkClientPool object to better manage async
      clients
    - Add uid and session to proxy mapping in the database
    - Add a document explaining how we map the proxy internally
    - Add arch filtering to the generic python filter helper
    - debuginfo-install: handle untrusted packages
    - Detect when the PolicyKit authentication was timed out, and
      show this as a message to the user
    - cnf: Search other directories that commands can be found in,
      not just /usr/bin
    - cnf: Show status rather than just hanging for a long time
      without any output
    - cnf: Handle SIGINT in command-not-found
    - glib: expose the some new properties on the PkClient object
- Add PackageKit-force-pm-utils.patch. Our pm-utils package
  does not provide a *.pc file and as such can't be detected. Also
  enable the autoreconf for this patch.

-------------------------------------------------------------------
Fri Jul 31 20:27:40 CEST 2009 - vuntz@novell.com

- Remove Obsoletes for libpackagekit-{gtk,qt}11.

-------------------------------------------------------------------
Sun Jul 19 22:51:05 CEST 2009 - dominique-obs@leuenberger.net

- Update to version 0.5.0:
  + Notes:
    - This is the first release of the unstable 0.5.x branch,
      which depends on PolicyKit1, rather than the old PolicyKit.
    - The API has been slightly changed for PolicyKit1 support and
      new functionality; see the interface for more details.
  + New Features:
    - Add ConnMan networking stack support
    - Add force parameter to refresh-cache function in python
      backends
    - Improve SearchFile, SearchName, SearchDetails and SearchGroup
      specifications
    - Port to polkit1, and remove a lot of the complexity with the
      old PolicyKit code
    - Rewrite the networking code to derive from a common
      PkNetworkStack object
    - Enable nice build output on automake1.11
    - Make GIO a hard build dependency and remove the conditional
      code
    - Enable the warning GSEAL_ENABLE and fix up build failures
    - Add a trusted parameter to InstallPackages, UpdatePackage and
      UpdateSystem
    - Add a convenience Exit enum, NEED_UNTRUSTED, and set for the
      correct error enums
    - Don't hardcode the StateChangedTimeout's and add them to the
      config file
    - Add a PolicyKit action lookup so we can do the translated
      authentication from the server
    - Populate some initial PolkitDetails when we ask PolicyKit1
      for authorization
    - Add pk-debuginfo-install functionality as a new contrib
      project
    - Create a PkRequireRestartObj type
  + Updated translations.
+ The soname for libpackagekit-{gtk,qt} was bumped, so rename the
  packages and obsolete the old ones.
+ Add polkit-devel BuildRequires.
+ Remove PolicyKit-devel BuildRequires.

-------------------------------------------------------------------
Sun Jul 19 19:03:13 CEST 2009 - coolo@novell.com

- fix use of %_libexecdir

-------------------------------------------------------------------
Tue Jun  2 18:02:38 CEST 2009 - vuntz@novell.com

- Update to version 0.4.8:
  + New Features:
    - Add a PK_CHECK_VERSION macro
    - Add three properties on the main interface with the runtime
      daemon versions
    - Export version-* properties in PkControl
    - Add a prototype backend interface definition as a
      tech-preview
    - Don't use --enable-developer, instead use DeveloperMode set
      in the config file
    - Create a shared pk_backend_bool_to_text() helper to reduce
      copy&paste
  + Bugfixes:
    - Make PkNetworkUnix watch /proc/net/route and check for
      network state changes
    - Ensure we send ::Finished() even when the dispatcher closed
      normally
    - Ensure we disconnect ::Finished() when we unref a transaction
      in the PkTransactionList
    - Emit ::Destroy() in the dispose phase to ensure it is proxied
      to the bus
    - Fix SuggestDaemonQuit to exit using the mainloop
    - Fix the logic of when ::RestartSchedule is used
    - Don't cache the update detail anymore, we can't ensure
      cache-consistency
    - Don't try to clear the cancel timeout if it fires again on
      PkClient finalise
    - Only return the newest available package for the
      command-not-found tool
    - Check earlier if we don't have libarchive when creating a
      service pack
    - Be more paranoid when parsing ISO8601 dates from the backend
      to avoid a critical error
    - Fix a small memory leak when we check for session restarts
    - When we search for the file list after an install or upgrade,
      use the local package
    - Don't crash the session program if we are connecting to an
      old packagekitd with a new libpackagekit
    - Protect a few function in pk-package-ids.c from NULL input
  + Non-zypp backends updates.
  + Updated translations.
- Add libarchive-devel BuildRequires for service packs.
- Add docbook-utils BuildRequires for man pages.

-------------------------------------------------------------------
Wed May  6 15:14:24 CEST 2009 - vuntz@novell.com

- Build against mozilla-xulrunner191 on openSUSE > 11.1.

-------------------------------------------------------------------
Wed May  6 01:55:54 CEST 2009 - vuntz@novell.com

- Update to version 0.4.7:
  + Added media change support in a few backends (not zypp, though)
  + Updated translations.
  + New Features:
    - Add DOAP file to the project
    - Add a method to disable SIGKILL in PkSpawn
    - Added media change support to -qt lib
    - Added support to recognize Debian version
    - Add media change request support to the spawned backend
    - Allow a spawned backend to opt-out of the SIGKILL cancel
      process
    - Remove job_count.dat, it's not used anymore
    - Remove the DBus backend. The only user
    - New signal, media-change-required (daemon and glib)
  + Bugfixes:
    - Add support for /etc/lsb-release to pk_get_distro_id(). Fixes
      fdo#21550
    - Allow the dummy security model to authorise actions
    - Check the transaction totals are not zero before using them.
      Fixes rh#495849
    - Correct the allow-cancel duplicate logic
    - Correct the logic for SetSynchronous without returning in the
      duplicate check
    - Display Message()'s in pkcon rather than just ignoring them
    - Don't filter out 'Presto' unconditionally from the stdout to
      fix rh#496091
    - Fix compile on FreeBSD
    - pkgenpack man page still pointed to pk-generate-package-list
    - pk_package_ids_check is not valid when the packageids array
      is zero length
    - Remove the NameOwnerChanged handler when we unref
      PkConnection to prevent a bug in client applications
    - Still use command not found for commands one character long
    - To fix spawned backends, http_proxy has to be a URI not a
      bare proxy. Fixes rh#491859
    - Use the new session interface for installing Fontconfig
      resources and GStreamerCodecs
  + Libraries:
    - PackageKit-Qt: Add support for cancel-foreign PolicyKit
      action
    - Packagekit-Qt: Changed License to QString in package
    - PackageKit-Qt: Drop support for building with CMake. The
      module for the lib is still included
    - Packagekit-Qt: Switch some QSets to QFlags, because
      keyToValue() returns int not qint64
    - Packagekit-Qt: Adds registration to MessageType
    - Packagekit-Qt: Fixed Message enum the same way as Filter and
      Action
    - Packagekit-Qt: Removed a useless resolv method
    - Packagekit-Qt: Renamed various enums to have a prefix to
      avoid conflicts
    - Python: Add two further helpers get_package_id and
      split_package_id
    - Python: Add two helpers format_string and text_to_bool to the
      backend module
  + Non-zypp backends updates.
- Update PackageKit_release.patch: drop the part that is not needed
  anymore.
- Pass --disable-cron to configure (this is what the old part of
  PackageKit_release.patch used to do).

-------------------------------------------------------------------
Sat Apr  4 15:09:07 CEST 2009 - vuntz@novell.com

- Update to version 0.4.6:
  + Notes:
    - Lots of profiling lead to many speed increases, most at cold
      startup
    - Fixes to command not found for bash 4.0
    - Experimental aptcc backend merged, which does not use
      python-apt at all
  + New Features:
    - Add a config variable to be able to turn off the updates
      cache for debugging
    - Warn if there are any pending sources at the end of each self
      test section
  + Bugfixes:
    - Make the GTK+ module resident to fix crash when session is
      reloaded
    - Only check the transaction database once at startup, to
      reduce 25ms off the cold start
    - Don't force SQLite to do fsync in PkTransactionDb, to reduce
      our cold cache start by 700ms
    - Don't store the job-id in a separate file, as this adds 37ms
      to each generate method
    - Don't allow pk_backend_error_timeout_delay_cb() to be called
      more than once
    - Escape the ';' in the UpdateDetail:ChangeLog signal so we can
      send more than one line
    - Use the bash 4.0 command_not_found function name to fix new
      versions of bash
    - When we get the update detail in pkcon, resolve not-installed
      packages. Fixes rh#492004
    - glib: Don't hardcode /var/lib/PackageKit for the desktop
      database
    - qt: Check for QtXml in configure and use the correct deps in
      the packagekit-qt pc file
    - qt: Made Transaction::cancel() a slot
    - qt: Updated almost all the enums
  + Non-zypp backends updates.
  + Updated translations.

-------------------------------------------------------------------
Tue Mar 10 21:16:39 CET 2009 - vuntz@novell.com

- Update to version 0.4.5:
  + New features:
    - Enable ptrace() on libpackagekit, it was always a bandaid
    - python: add a PkError exception class to better handle nested
      errors
    - Clarify the spec that a Details::size value of zero of a
      non-installed file indicates it's in cache and doesn't need
      to be downloaded
    - Remove the app-install feature, it's now it's own project
    - Allow backends to enable simultaneous mode to do actions in
      parallel
    - Updated QPackageKit soname version to 0.4.1
    - Made package methods const and added an operator== to package
  + Bugfixes:
    - When we reset a PkClient, get a new reference to a
      PkPackageList
    - Ensure we set PK_STATUS_ENUM_FINISHED when we return cached
      updates
    - glib: When we cancel a transaction, don't overwrite the role
      as Cancel
    - Fix the self test by using actual provides in the catalog
      file
  + Non-zypp backends updates.
  + Updated translations.

-------------------------------------------------------------------
Fri Feb 27 22:08:46 CET 2009 - mboman@suse.de

- Update to version 0.4.4:
  + New Features:
    * Add a new method GetDaemonState to the main interface to help
      debugging on live systems
    * Print the daemon state when using pkmon in verbose mode
    * Add a draft standard for application install metadata
      handling
    * Add a pk-app-install binary for manipulating the sqlite
      cache
    * PackageKit-Qt: Sync API for RequireRestart
    * PackageKit-Qt: Add support for application filter
    * PackageKit-Qt: Add a searchFromDesktopFile method
  + Bugfixes:
    * Updated documentation with UseSyslog parameter
    * Fix for the updates and obsoletes delimiter
    * Make the dbus policy more fine grained
    * Fix compile failure with gcc-4.4.0 and old versions of glib2
    * If we fail to exit from the dispatcher, make sure we cleanup
      the poll as the child check isn't going to be run
    * The QT lib now depends on QtSql, so add this to the
      configure
    * Fix up resolve in pkcon and from libpackagekit-glib
    * Don't dereference a NULL pointer in pk_console_resolve()
      which can be done using pkcon list-install
    * Don't use an local error in pkcon list-install else we'll
      fail to free it, and it's non-fatal
    * PackageKit-Qt: Handle daemon errors more gracefully
    * PackageKit-Qt: Add a getLastError method to get the last
      daemon error
    * PackageKit-Qt: Add missing implementation for uid and
      cmdline
    * Packagekit-Qt: Fix to make what provides work
  + Backends (only zypp related listed. See NEWS for all others):
    * zypp: Fix up virtual callback methods
  + Translation updates
- Remove duplicate BuildRoot
- Remove AutoReqProv since it's default
- Remove Requires since it's supplied automatically
- Don't use autoreconf -f -i
- Removed BuildRequires fontconfig-devel, glib2-devel,
  libpixman-1-0-devel, pango-devel
- Replace %setup -q -n %{name}-%{version} with %setup -q
- Move gtk-doc to -devel
- Upstreamed PackageKit-libzypp6.patch (fdo#20366)

-------------------------------------------------------------------
Fri Feb 27 02:03:40 CET 2009 - ro@suse.de

- fix build with current libzypp:
  isToBeUninstalledDueToObsolete is gone

-------------------------------------------------------------------
Sat Feb 14 01:00:57 CET 2009 - vuntz@novell.com

- Merge .changes entry about sr@latin from factory (was already
  done on Feb 2 in GNOME:Factory)

-------------------------------------------------------------------
Wed Feb 11 01:08:50 CET 2009 - ro@suse.de

- use sr@latin instead of sr@Latn

-------------------------------------------------------------------
Sun Feb  8 14:58:45 EST 2009 - hfiguiere@suse.de

- Add libpixman-1-0-devel to the buildrequires for Factory

-------------------------------------------------------------------
Thu Feb  5 09:51:11 EST 2009 - mboman@suse.de

- Update to version 0.4.3:
  + New Features:
    * Add new packagekit-sharp binding
    * Allow the user to specify a complete output file name with
      pkgenpack
  + Bugfixes:
    * Repair pkcon resolve argument parsing
    * Remove dep on python-sqlite2 and use internal python sqlite
      Fixes rh#481270
    * Dist the website in the tarball correctly, and install in
      the -docs subpackage
    * Fix up a translation in pkcon when we fail to get the time
      since action
    * Add an option to configure so we can specify a different
      directory. Fixes fd#19884
    * Remove bare send_interface lines in the DBus rules
    * Add _get_info, get_id and _get_summary for PkPackageObj
    * Removed -Wswitch-enum from compiler switches
    * Don't print an internal error if we don't pass an argument
      to --package
  + Backends:
    * alpm: Change source code to be more standards compliant
    * smart: Don't filter *-testing channels as development
    * yum: Get some useful text when yum passes us an invalid
      message. Fixes fd#19781
    * zypp: Remove GROUP_ENUM_UNKNOWN as engine returns empty if
      included in list
  + Translation updates
- Remove PackageKit-browser-plugin.patch. Mozilla plugin directory
  can now be specified during configure
- Create a -doc subpackage with the website content.

-------------------------------------------------------------------
Mon Feb  2 16:07:37 EST 2009 - mboman@suse.de

- Update to version 0.4.2:
  + New Features:
    * Use the detail field as a package_id so we can propogate
      useful information to clients
    * Add an entry to the config file to turn on time estimation,
      and enable it by default
    * Remove the udev helper from PackageKit now the core
      functionality is in udev itself
  + Bugfixes:
    * If a script is still running and PkSpawn is asked to unload,
      be more careful about disconnecting timers
    * Ensure we call the backend finalise method when the daemon
      times out
    * Ensure we send the correct network state with the new
      changed codepath
    * Don't leak directory on commit-failed error path
    * Set the setup signal after we've connected the backend to
      the transaction so it is emitted for clients
    * Don't emit allow-cancel over and over if it is the same
      state as before
    * A *-testing repo is not a development repo, so should not
      be filtered by default. Fixes rh#480135
    * Remove the obsolete specific vendor_url for each PolicyKit
      authorisation and rely on the packagekit homepage.
      bnc#450349
    * Only try to exit the spawned backend if it is running, which
      removes an error warning if it is already closed
    * Clear the backend store in pk_backend_reset() as we can't
      guarantee the ordering for cancelled jobs
    * Fix compile of the browser plugin with newer versions of
      xulrunner
  + Backends:
    * dummy: Output a load of messages we can play with in GUI
      tools
  + Translation updates
- Modify PackageKit_release.patch to follow upstream with
  LT_CURRENT/LT_REVISION

-------------------------------------------------------------------
Mon Feb  2 00:57:51 CET 2009 - vuntz@novell.com

- Enable ruck and put it in its own package.
- Consolidate removal of static libraries and "la" files.
- Fix directory for browser plugin.
- Remove sr@Latn hack.

-------------------------------------------------------------------
Mon Jan 12 09:08:13 EST 2009 - mboman@suse.de

- Update to version 0.4.1:
  + Use NetworkManager to get the network device type for session
    policy decisions
  + Resolve() is now case sensitive
  + Adapted pk-upgrade-distro.sh for suse
  + Don't let spawned backends hog the disk by default using ioprio
  + glib: Add a client side timeout monitor so we can set a limit
    on queries
  + glib: Added accessors for PkPackageId
  + Added search file method and search details convinience method
    to packagekit-qt
  + Daemon backend: Separate object creation and running
  + QPackageKit: Revert the threaded polkit as it breaks everything
  + Define a macro directory so we work with newer versions of
    libtool
  + Remove the concept of slow and fast interfaces, since we don't
    actualy know the speed
  + Get the caller (and uid) for all transactions from the GetTid
    method as we cannot get the UID from the non-async methods
  + Clarify that free form text in Details and UpdateDetail is
    formatted to markdown syntax
  + Allow pkcon to resolve all the command line arguments,
    not just the first one
  + Fix the python client library for SearchDetails and SearchFile
    Fixes fdo#19426
  + Make get_packages call GetPackages, not GetUpdates
  + Misc fixes for backends
  + Translation updates

-------------------------------------------------------------------
Sat Jan  3 09:08:13 EST 2009 - mboman@suse.de

- Update to version 0.4.0:
  + Now integrates with BASH suggesting replacements and offering
    to install missing packages.
  + Now integrates with Pango using a gtk-module to install missing
    fonts.
  + Much tighter security model and new audit logging framework.
  + Lots of new, untested, code so probably not a good idea for
    stable distributions.
  + qt: Add GetMimeTypes to Qt bindings (Adrien BUSTANY)
  + Add a PolicyKit rule so other users can cancel tasks from other
    users
  + Add command-not-found functionality to PackageKit
  + Add a various possible replacement models to command not found
  + Use a config file to control the actions we take on
    command-not-found
  + Add a Pango module that can be used to automatically install
    missing fonts
  + Set the environment variable NETWORK for the spawned backends
  + Get the lang and network state in the generic spawned backend
  + pk-generate-package-list is not used any more, remove from the
    man page
  + Check the sender for SetLocale and the UID for Cancel
  + Fix a small memory leak in pk_backend_package
  + Make a lot of new strings translatable in pkcon
  + Add the DBus interface now that the default send interface is
    now deny
  + Allow all clients to send to all interfaces of the server.
    Fixes DBus introspection
  + glib: Don't emit a critical warning if a desktop file contains
    an error
  + qt: Fix make check with the threaded Polkit client
  + qt: Fix the old transactions, and upgrade to new API
  + qt: Fixed freezed UI while waiting for blocking
    polkit_auth_obtain call
  + poldek: Implement get_mime_types
  + Misc fixes for the yum backend
  + Translation updates

-------------------------------------------------------------------
Tue Dec 09 17:42:15 CET 2008 - sreeves@suse.de

- Move to 0.3.12 - Bugfix only release
    Fix a memory leak when checking transactions
    Dont emit a critical warning if g_desktop_app_info returns an error
    Remove incorrect reference to pk-generate-package-list in man page
    Fix to allow send on dbus interface - needed when pending dbus update
      changes that default to deny (CVE-2008-4311)
  Add method to call SuggestDaemonQuit as part of fix for BNC#383261

-------------------------------------------------------------------
Mon Nov 24 17:42:15 CET 2008 - sreeves@suse.de

- Move to 0.3.11
    Pull in updated translation files (.po)
    Bugfix - enable translations in all client tools

-------------------------------------------------------------------
Fri Nov 21 17:46:15 CET 2008 - sreeves@suse.de

- Keep the PolkitCaller to allow repeat queries faster
  Do not abort update when a repo has problems
  Add user and cmdline to the Transaction signal
  Add syslog logging to keep record of obtained auths
  Fix crash when pk-control is referenced after it's finalized
  Handle filters in what-provides

-------------------------------------------------------------------
Mon Nov 17 21:12:16 CET 2008 - sreeves@suse.de

- Fix the installSignature method to understand repo keys
  In pkcon update - don't attempt to do what-provides if it's not implemented
  Fix restart flag handling
  Fix segfault in the error path when files could not be installed with pkcon
  Move to 0.3.10

-------------------------------------------------------------------
Fri Nov  7 17:33:36 CET 2008 - sreeves@suse.de

- Add updated translation files
  Fix get_distro_upgrades
  Fix error on reuse of TIDS causing timeout on auth
  Set status when installing a signature
  Fix for BNC #431940 - packagekitd locks system management

-------------------------------------------------------------------
Tue Oct 28 16:27:56 CET 2008 - coolo@suse.de

- split out lang package
- do not require all of python

-------------------------------------------------------------------
Thu Oct 23 21:16:04 CEST 2008 - sreeves@suse.de

- Split up package according to shared library policy
- Move to 0.3.9
    (from the release news...)
    Merge in QPackageKit QT library
    This release brings many, many new and updated translations.
    Print a message when we try to install a package that is already installed
    glib: Send a more precise error code when we fail a transaction

-------------------------------------------------------------------
Mon Oct 13 21:16:04 CEST 2008 - sreeves@suse.de

- Move to 0.3.7  Bug fix release
    Fix for BNC #433889 - PackageKit crash
    Fix for BNC #402372  - reinstalls all local packages
    Don't crash the client tools if PkControl launches the daemon
    Register the mime-type x-package-list as we are using it for service packs
  Fix for BNC #422176 - non useful error notifications

-------------------------------------------------------------------
Wed Oct  8 23:11:49 CEST 2008 - sreeves@suse.de

- Move to 0.3.6  Bug fix release
   (from the release news...)
   Remove items about to be run from the transaction list without crashing
   Make the GStreamer helper use proper GStreamer exit codes
   Set the default timeout to the maximum as dbus-glib times out after 25 seconds
   Fix a theoretical hang where we could try to reuse a exiting instance
   Unlock the backend before we send finished on ErrorCode as unlocking may take some time
   When we exit the dispatcher with 'exit' ensure we unlock if locked
   If the refresh cache fails, don't do the PkRefresh actions
   If a caller does GetTid and then crashes, the daemon should timeout the transaction
   Use environent variables rather than static instance variables to hold the debugging state,
   so that we can get access to libpackagekit debugging when linked in
   When we query the progress of a transaction, use the cached transaction values rather
   than querying the backend, as it might not be the transaction actually running
   We are allowed to cancel queued (and not running) transactions

-------------------------------------------------------------------
Mon Sep 29 18:19:05 CEST 2008 - sreeves@suse.de

- Move to 0.3.5
    Finish support for hardware driver install - FATE #303677

-------------------------------------------------------------------
Tue Sep 23 02:52:58 CEST 2008 - sreeves@suse.de

- Move to 0.3.4
    Start of support for hardware driver install - FATE #303677

-------------------------------------------------------------------
Fri Sep 12 19:17:58 CEST 2008 - sreeves@suse.de

- Move to 0.3.2
    Fix udev script invocation.
    support for dispatcher
    Optionally auto-run pk-generate-package-list and pk-import-desktop

-------------------------------------------------------------------
Tue Sep  9 19:16:32 CEST 2008 - ro@suse.de

- use py_sitedir macro in filelist

-------------------------------------------------------------------
Mon Sep  1 00:42:31 CEST 2008 - sreeves@suse.de

- Move to 0.3.1
    distro upgrade support

-------------------------------------------------------------------
Fri Aug 22 13:15:37 CEST 2008 - sbrabec@suse.cz

- Fixed invalid locale names.

-------------------------------------------------------------------
Mon Aug 18 11:23:53 CEST 2008 - schwab@suse.de

- Fix name of completions file.

-------------------------------------------------------------------
Mon Aug 18 07:51:31 CEST 2008 - sreeves@suse.de

- Move to pre-release of 0.3.0
    start of service pack and distribution upgrade support.

-------------------------------------------------------------------
Wed Jul 30 07:54:00 CEST 2008 - coolo@suse.de

- getting it to compile (brute force)

-------------------------------------------------------------------
Fri Jul 18 01:18:27 CEST 2008 - sreeves@suse.de

- Move to 0.2.3
    Add PkCatalog for installing catalogs
    Add source filter support.
    Allow adding and removing multiple packages at one time with pkcon

-------------------------------------------------------------------
Thu Jul  3 01:35:30 CEST 2008 - sreeves@suse.de

- Match libzypp API change

-------------------------------------------------------------------
Wed Jun 25 20:07:28 CEST 2008 - sreeves@suse.de

- Fix for BNC#389415 - Use generic PolicyKit
  More work on BNC#398391 - return all restart_suggested patches
    instead of one at a time.

-------------------------------------------------------------------
Tue Jun 17 21:01:32 CEST 2008 - sreeves@suse.de

- Fix for BNC#398391 -  only show patches
    swampid for this - 18244

-------------------------------------------------------------------
Mon Jun  9 19:33:22 CEST 2008 - sreeves@suse.de

- Fix for BNC#398367 -  dont include recommends
  Fix for BNC#398380 -  init keyring

-------------------------------------------------------------------
Sat May 24 21:46:48 CEST 2008 - sreeves@suse.de

- Include updates from the openSUSE branch
    Update to match changed libzypp API
    BNC #390339 - rotate logs
    BNC #392435 - poor dialog
    BNC #392064 - confusing popup notifications
    BNC #390929 - crash

-------------------------------------------------------------------
Sat May 24 07:59:25 CEST 2008 - aj@suse.de

- Follow zypp changes.

-------------------------------------------------------------------
Tue May 13 00:29:30 CEST 2008 - sreeves@suse.de

- Fix for BNC #388165 - mark some files with verify (not)

-------------------------------------------------------------------
Fri May  9 23:14:00 CEST 2008 - sreeves@suse.de

- Move to official upstream 0.2.1 release.
    Fix to accept multiple license prompts
    Handle signed repos - import keys.

-------------------------------------------------------------------
Thu May  1 19:56:11 CEST 2008 - sreeves@suse.de

- Change packagekit daemon timeout to 15 seconds - BNC #374043

-------------------------------------------------------------------
Mon Apr 28 18:29:00 CEST 2008 - sreeves@suse.de

- Move to libzypp 4.15
  Fix BNC#378342 - gpk-update-viewer crash

-------------------------------------------------------------------
Sun Apr 27 19:56:43 CEST 2008 - coolo@suse.de

- replace deprecated zypp calls

-------------------------------------------------------------------
Thu Apr 17 18:12:55 CEST 2008 - schwab@suse.de

- Fix configure script.

-------------------------------------------------------------------
Mon Apr 14 16:21:56 CEST 2008 - sreeves@suse.de

- Update to version 0.2.0
    new dbus model
    change packagekitd timeout to 120 seconds

-------------------------------------------------------------------
Sat Apr  5 01:28:22 CEST 2008 - sreeves@suse.de

- Update to version 0.1.11
    Fix parse errors on bad markup
    Emit verbose messages on dependency failures
    Fix crash when getting dependencies.

-------------------------------------------------------------------
Thu Mar 27 07:36:19 CET 2008 - sreeves@suse.de

- Update to version 0.1.9.2
    Mem leak fixes
    Fix multiple popups on install
    Fix parse error causing missing name

-------------------------------------------------------------------
Fri Mar 14 00:42:13 CET 2008 - sreeves@suse.de

- Update version. Includes working "update system"

-------------------------------------------------------------------
Wed Mar  5 01:31:29 CET 2008 - sreeves@suse.de

- keep up with the new libzypp API

-------------------------------------------------------------------
Fri Feb 29 14:51:51 CET 2008 - coolo@suse.de

- make it compile again with new libzypp API

-------------------------------------------------------------------
Thu Feb 28 10:07:54 CET 2008 - sreeves@suse.de

- Update to ~0.1.9 (git pull on 2/28) release (with the policy file intltool
  calls patched out temporarily until we get a newer intltool in factory.

  add --enable-zypp to the configure line

-------------------------------------------------------------------
Tue Jan  8 16:27:44 CET 2008 - btimothy@suse.de

- Upgraded to 0.1.5 (released upstream).
- Added "--with-security-framework=polkit" to the configure.

-------------------------------------------------------------------
Mon Dec 10 20:40:41 CET 2007 - btimothy@suse.de

- Added extra directories to the %files section so it'll build in
  factory.

-------------------------------------------------------------------
Fri Dec 07 20:09:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071207a which does rudimentary
  package dependency checking.

-------------------------------------------------------------------
Tue Dec 04 01:56:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203f to fix a compiler error.

-------------------------------------------------------------------
Tue Dec 04 01:40:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203e which includes installed
  packages when getting the description of a package.
  pk-application uses this when you highlight an installed package.

-------------------------------------------------------------------
Tue Dec 04 01:25:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203d which includes installed
  packages when searching by name in addition to packages found in
  configured repositories.

-------------------------------------------------------------------
Tue Dec 04 00:04:00 CEST 2007 - btimothy@suse.de

- Removed "= 1.1.3" for dbus-1 Requires line.

-------------------------------------------------------------------
Mon Dec 03 23:27:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203c.
- Added a couple new entries to the %files section for
  pk-completion.bash and packagekit-bugreport.sh.

-------------------------------------------------------------------
Mon Dec 03 21:58:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203b.

-------------------------------------------------------------------
Mon Dec 03 21:23:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071203a.

-------------------------------------------------------------------
Fri Nov 30 21:39:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5git20071130a (remove the dash).

-------------------------------------------------------------------
Fri Nov 30 20:39:00 CEST 2007 - btimothy@suse.de

- Update to version 0.1.5-20071130a taken from git master.

-------------------------------------------------------------------
Wed Nov 21 00:38:00 CEST 2007 - btimothy@suse.de

- Added a new tar.bz2 file to do rudimentary package install.

-------------------------------------------------------------------
Mon Nov 19 18:11:00 CEST 2007 - btimothy@suse.de

- Adjusted to install the PackageKit.service for dbus into the
  /usr/share/dbus-1/system-services directory.  This is what
  allows the system activation stuff to work.

-------------------------------------------------------------------
Fri Nov 16 16:50:00 CEST 2007 - btimothy@suse.de

- Grabbed new PackageKit-0.1.4.tar.bz2 built from this morning's
  git repo (has stubbed-out zypp backend).
- Configure so zypp is the default backend.

-------------------------------------------------------------------
Thu Nov 15 17:19:00 CEST 2007 - jpr@suse.de

- Reduce requires, most of them are automatic
- Remove gcc from BuildRequires its automatic

-------------------------------------------------------------------
Thu Nov 15 17:04:00 CEST 2007 - jpr@suse.de

- fix build on 64bit by not hardcoding "lib"
- make description a little more manageable
- use %{py_requires} instead of hardcoded python
- use "devel" instead of "-n Package-devel" because adding the
  Package- partis automatic

-------------------------------------------------------------------
Wed Nov 14 20:35:00 CEST 2007 - btimothy@suse.de

- Revert the last change and hardcode /usr/share because otherwise
  it gets installed to /dbus-1/services.  We'll have to figure this
  one out later.

-------------------------------------------------------------------
Wed Nov 14 19:19:00 CEST 2007 - btimothy@suse.de

- Use %{_datadir} instead of /usr/share when specifying where
  the dbus-1/services directory is at configure.

-------------------------------------------------------------------
Wed Nov 14 18:50:00 CEST 2007 - btimothy@suse.de

- Specify /usr/share/dbus-1/services at configure so we don't have
  to modify the make install step.

-------------------------------------------------------------------
Tue Nov 13 18:53:00 CEST 2007 - btimothy@suse.de

- init